<template>
  <div>
    <div @click="click">
      <slot name="btn"></slot>
    </div>
    <div
      class="modal_warning"
      v-show="visible">
      <div class="modal-header" @click="click">
        <i class="i-icon-close"></i>
      </div>
      <div class="modal_warning-body">
        <slot></slot>
      </div>
      <div
        class="modal_warning-help"
        v-if="$slots.warning">
        <div class="modal_warning-help-header">{{$t('common.warning')}}</div>
        <div>
          <slot name="warning"></slot>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
  import PageCard from '~/components/UI/PageCard';

  export default {
    name: "Small",
    data() {
      return {
        visible: false
      }
    },
    components: {
      PageCard
    },
    methods: {
      click() {
        this.$emit('click');
        this.visible = !this.visible;
      }
    }
  }
</script>
